[haskell-platform] add rebuild.sh script to bump and rebuild haskell-platform

Jens Petersen petersen at fedoraproject.org
Wed Jan 19 02:54:52 UTC 2011


commit 8a04f9c6bcc7463f38c179649e248fe41f6d04fa
Author: Jens Petersen <petersen at redhat.com>
Date:   Wed Jan 19 12:54:40 2011 +1000

    add rebuild.sh script to bump and rebuild haskell-platform

 rebuild.sh |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)
---
diff --git a/rebuild.sh b/rebuild.sh
new file mode 100755
index 0000000..fb5ea09
--- /dev/null
+++ b/rebuild.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+# if necessary first rebuild mtl and transformers
+
+set -e -x
+
+for i in ghc-cgi ghc-fgl ghc-GLUT ghc-haskell-src ghc-html ghc-OpenGL ghc-parsec ghc-QuickCheck ghc-regex-base ghc-regex-compat ghc-regex-posix ghc-stm ghc-syb ghc-xhtml alex cabal-install happy; do
+  ~/fedora/haskell/ghc/master/update-package.sh $i
+done
+
+fedpkg chain-build alex ghc-deepseq ghc-fgl ghc-html ghc-HUnit ghc-OpenGL ghc-QuickCheck ghc-regex-base ghc-stm ghc-syb ghc-xhtml happy : ghc-GLUT ghc-haskell-src ghc-network ghc-parallel ghc-regex-posix ghc-text : ghc-cgi ghc-HTTP ghc-regex-compat : cabal-install


More information about the scm-commits mailing list